Restore Room File
POST
Returns a File attachment from a Room without deleting the File or version.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
room_file_id*stringStable Room File attachment ID.
Match
^rfl_[0-7][0-9A-HJKMNP-TV-Z]{25}$SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*stringLength
8 <= length <= 200application/json- body
expected_revision*integerRange
1 <= valueSuccessful authorized response.
application/json- response
room_file*action_receipt*idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16request_id*stringcurl -X POST 'https://example.com/v1/room-files/string/restore' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: stringst' \ -H 'Content-Type: application/json' \ -d '{ "expected_revision": 1}'{ "room_file": { "room_file_id": "string", "room_id": "string", "file": { "file_id": "string", "business_id": "string", "name": "string", "description": "string", "classification": "financial", "tags": [ "string" ], "origin": "upload", "lifecycle": "active", "current_version": { "file_version_id": "string", "version_number": 1, "content_type": "string", "size_bytes": 1, "sha256": "string", "processing_status": "pending_upload", "processing_error": "string", "summary": "string", "created_by": { "type": "person", "user_id": "string", "name": "string", "via": null }, "created_at": "2019-08-24T14:15:22Z", "ready_at": "2019-08-24T14:15:22Z", "protection": {}, "redacted_from": "string", "redacted_copy": "string" }, "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view" }, "file_version_id": "string", "access_mode": "inherit_room", "status": "pending", "revision": 1, "attached_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view", "folder_id": "string", "original_name": "string", "read_state": "pending", "suggestion": { "suggestion_id": "string", "state": "suggested", "confidence": 0, "needs_pick": true, "folder_id": "string", "parent_folder_id": "string", "new_folder_path": [ "string" ], "path": [ "string" ], "reason": "string", "drop_batch_id": "string" } }, "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true, "request_id": "string"}